%global momorel 7
%global reldir 19759
%global scimver 1.4.9
%global scim_major_version 1.4.0

Summary: Scim-wnn is an SCIM IMEngine module for wnn
Name: scim-wnn
Version: 1.0.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/System
URL: http://sourceforge.jp/projects/scim-imengine/
Source0: http://osdn.dl.sourceforge.jp/scim-imengine/%{reldir}/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: %{name}-%{version}-gcc43.patch
Requires: scim >= %{scimver}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: libwnn7-devel

%description
Scim-wnn is an SCIM IMEngine module for wnn.
It supports Japanese input.

%prep
%setup -q 

%patch0 -p1 -b .gcc43~

%build
%configure --disable-static
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README 
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/*
%{_libdir}/scim-1.0/%{scim_major_version}/SetupUI/*
%{_datadir}/scim/icons/*
%{_datadir}/locale/*/*/*
%{_datadir}/scim/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.0-7m)
- full rebuild for mo7 release

* Fri Apr 23 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.0-6m)
- touch up spec file

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.0-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.0-3m)
- rebuild against gcc43

* Sat Mar 29 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-2m)
- copy from TSUPPA4RI

* Sun Mar 23 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.0.0-1m)
- initial import
- add patch for gcc43, generated by gen43patch(v1)
